Subject: Re: [PATCHv2 0/3] perf tools: Fix prologue generation

From: Jiri Olsa <[email-masked]>
Date: Wed, 11 May 2022 09:35:34 +0200

On Tue, May 10, 2022 at 04:48:55PM -0700, Andrii Nakryiko wrote:
> On Tue, May 10, 2022 at 12:47 AM Jiri Olsa <[email-masked]> wrote:
> >
> > hi,
> > sending change we discussed some time ago [1] to get rid of
> > some deprecated functions we use in perf prologue code.
> >
> > Despite the gloomy discussion I think the final code does
> > not look that bad ;-)
> >
> > This patchset removes following libbpf functions from perf:
> >   bpf_program__set_prep
> >   bpf_program__nth_fd
> >   struct bpf_prog_prep_result
> >
> > v2 changes:
> >   - use fallback section prog handler, so we don't need to
> >     use section prefix [Andrii]
> >   - realloc prog->insns array in bpf_program__set_insns [Andrii]
> >   - squash patch 1 from previous version with
> >     bpf_program__set_insns change [Daniel]
> >   - patch 3 already merged [Arnaldo]
> >   - added more comments
> >
> >   meanwhile.. perf/core and bpf-next diverged, so:
> >     - libbpf bpf_program__set_insns change is based on bpf-next/master
> >     - perf changes do not apply on bpf-next/master so they are based on
> >       perf/core ... however they can be merged only after we release
> >       libbpf 0.8.0 with bpf_program__set_insns change, so we don't break
> >       the dynamic linking
> >       I'm sending perf changes now just for review, I'll resend them
> >       once libbpf 0.8.0 is released
> >
> > thanks,
> > jirka
> >
> >
> > [1] https://lore.kernel.org/bpf/[email-masked]/
> > ---
> > Jiri Olsa (1):
> >       libbpf: Add bpf_program__set_insns function
> >
> 
> The first patch looks good to me. The rest I can't really review and
> test properly, so I'll leave it up to Arnaldo.
> 
> Arnaldo, how do we coordinate these patches? Should they go through
> bpf-next (after you Ack them) or you want them in your tree?
> 
> I'd like to get the bpf_program__set_insns() patch into bpf-next so
> that I can do libbpf v0.8 release, having it in a separate tree is
> extremely inconvenient. Please let me know how you think we should
> proceed?

we need to wait with perf changes after the libbpf is merged and
libbpf 0.8.0 is released.. so we don't break dynamic linking for
perf

at the moment please just take libbpf change and I'll resend the
perf change later if needed

thanks,
jirka